// Standard interface for a static accidentobject

// 	Name: AccidentObject (interface)
//	Author: Arjan Egges
//	Version: 1.0

package  se.lth.cs.carsimgui;

import javax.media.j3d.TransformGroup;

interface AccidentObject {

   // Creates the geometry of the Accident Object
   public void createGeometry();
   
   // Returns the geometry of the Accident Object
   public TransformGroup getGeometry();
   
   // Returns the collision radius of the Accident Object.
   public float getCollisionRadius();
   
   // Returns the id of the Accident Object
   public String getId();
   
   // Returns the x position of the Accident Object
   public float getXPos();
   
   // Returns the y position of the Accident Object
   public float getYPos();
   
}