// This is the main class, which instanciates the loading window, the main window, 
// it loads and saves the personal preferences like language, background, textures

package  se.lth.cs.carsimgui;


import javax.swing.UIManager;
import java.awt.*;

public class CarSim {

	//construct application
	public CarSim() {
	}
	
	

	//Main-Method
	public static void main(String[] args) {
		Dimension screenSize = Toolkit.getDefaultToolkit().getScreenSize();

		MainWindow_Loading loading = new MainWindow_Loading();
		Dimension loadingSize = loading.getSize();
		if (loadingSize.height > screenSize.height)
			loadingSize.height = screenSize.height;
		if (loadingSize.width > screenSize.width)
			loadingSize.width = screenSize.width;
		loading.setLocation((screenSize.width - loadingSize.width) / 2, (screenSize.height - loadingSize.height) / 2);
		loading.setVisible(true);
	
		Messenger.loadProperties();
		
		MainWindow mw = new MainWindow(loading);
		
		loading.increaseProgressBar(); // #2
		
		FileFilter ff = new FileFilter();
		mw.list1.setListData(ff.getFileArray(".ana"));
		loading.increaseProgressBar(); // #3
		mw.list2.setListData(ff.getFileArray(".ade"));
		
		loading.increaseProgressBar(); // #4
		
		MainWindowStatusManager mwsm = new MainWindowStatusManager(mw);
		
		MainWindowManager mwm = new MainWindowManager(mw,mwsm,ff);
		mwm.setReportStrings();
		loading.increaseProgressBar(); // #5
		mwm.setXMLdocStrings();
		
		
		MainWindowEventListener mwel = new MainWindowEventListener(mw,mwm);
		
		loading.setVisible(false);
		Text.setTextes(Messenger.properties.language,mw);
	}
}