// This dialogbox appears by selecting the menu item Help/About

package  se.lth.cs.carsimgui;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;

public class MainWindow_About extends JDialog implements ActionListener {

  JPanel panel1 = new JPanel();
  JPanel insetsPanel1 = new JPanel();
  JPanel insetsPanel2 = new JPanel();
  JPanel insetsPanel3 = new JPanel();
  JButton button1 = new JButton();
  JLabel imageControl1 = new JLabel();
  ImageIcon imageIcon;
  JLabel labelText = new JLabel();
  BorderLayout borderLayout1 = new BorderLayout();
  FlowLayout flowLayout1 = new FlowLayout();
  FlowLayout flowLayout2 = new FlowLayout();
  String text = Text.at(30);
 //String text = "Version 1.1 - developed 2002 at Lunds TH / Sweden";
  BorderLayout borderLayout2 = new BorderLayout();
  
  public MainWindow_About(JFrame parent) {
    super(parent);
    enableEvents(AWTEvent.WINDOW_EVENT_MASK);
    try  {
      jbInit();
    }
    catch(Exception e) {
      e.printStackTrace();
    }
    imageControl1.setIcon(imageIcon);
    pack();
  }

  private void jbInit() throws Exception  {
    imageIcon = new ImageIcon("img/carsim.jpg");
    this.setTitle(Text.at(29));
    setResizable(false);
    panel1.setLayout(borderLayout1);
    panel1.setBackground(MainWindow.bgColor);
    //panel1.setBackground(Color.black);
    insetsPanel1.setLayout(flowLayout1);
    insetsPanel2.setLayout(flowLayout1);
    insetsPanel2.setBackground(MainWindow.bgColor);
    //insetsPanel2.setBackground(Color.black);
    //insetsPanel2.setForeground(Color.white);
    //insetsPanel2.setBorder(new EmptyBorder(10, 10, 10, 10));
    labelText.setBackground(MainWindow.bgColor);
    //labelText.setBackground(Color.black);
    //labelText.setForeground(Color.white);
    labelText.setHorizontalAlignment(SwingConstants.CENTER);
    labelText.setHorizontalTextPosition(SwingConstants.CENTER);
    labelText.setText(text);
    insetsPanel3.setLayout(borderLayout2);
    insetsPanel3.setBackground(MainWindow.bgColor);
    //insetsPanel3.setBackground(Color.black);
    //insetsPanel3.setForeground(Color.white);
    //insetsPanel3.setBorder(new EmptyBorder(10, 10, 10, 10));
    insetsPanel3.setMaximumSize(new Dimension(568, 172));
    button1.setBackground(MainWindow.bgColor);
    //button1.setBackground(Color.black);
    //button1.setForeground(Color.white);
    button1.setText("OK");
    button1.setFocusPainted(false);
    button1.addActionListener(this);
    insetsPanel1.setBackground(MainWindow.bgColor);
    //insetsPanel1.setBackground(Color.black);
    //insetsPanel1.setForeground(Color.white);
    
    imageControl1.setMaximumSize(new Dimension(486, 350));//((224, 142));
    imageControl1.setMinimumSize(new Dimension(486, 350));
    imageControl1.setPreferredSize(new Dimension(486, 350));
    imageControl1.setHorizontalAlignment(SwingConstants.CENTER);
    imageControl1.setHorizontalTextPosition(SwingConstants.CENTER);
    
    insetsPanel3.add(imageControl1, BorderLayout.CENTER);
    insetsPanel3.add(labelText, BorderLayout.SOUTH);
    panel1.add(insetsPanel3, BorderLayout.CENTER);
    
    insetsPanel1.add(button1, null);
    panel1.add(insetsPanel1, BorderLayout.SOUTH);
    
    this.getContentPane().add(panel1, null);
    
    //panel1.add(insetsPanel2, BorderLayout.NORTH);
  }

  protected void processWindowEvent(WindowEvent e) {
    if(e.getID() == WindowEvent.WINDOW_CLOSING) {
      cancel();
    }
    super.processWindowEvent(e);
  }

  void cancel() {
    dispose();
  }

  public void actionPerformed(ActionEvent e) {
    if(e.getSource() == button1) {
      cancel();
    }
  }
}
