// This class defines a simple Helpframe that contains a helpfile.

// 	Name: HelpFrame (class)
//	Author: Arjan Egges
//	Version: 1.0

package  se.lth.cs.carsimgui;


import java.awt.*;
import java.awt.event.*;
import java.awt.FlowLayout;
import javax.swing.*;
import java.io.*;


class HelpFrame extends JFrame implements WindowListener {

   // Window components
   TextArea helpText;
      
   public HelpFrame() {
      super("General help");
      addWindowListener(this);
      setResizable(false);
      FlowLayout fl = new FlowLayout();
      this.setSize(600,300);
      
      helpText = new TextArea("",18,80,TextArea.SCROLLBARS_VERTICAL_ONLY);
      helpText.setEditable(false);
      helpText.setBackground(MainWindow.bgColor);
      getContentPane().add(helpText);
      
      //this.show(); 
      
      // Read the file and put it into the text area
      BufferedReader hfile;
      try {
         hfile = new BufferedReader(new FileReader("help.txt"));
      } catch (Exception e) {
         helpText.append("Helpfile <help.txt> not found.\n");
         return;
      }
      
      try {
         while (hfile.ready()) {
            String s = hfile.readLine();
            helpText.append(s+"\n");
         }
      } catch (Exception e) {}
      //helpText.setCaretPosition(0);
   }

    public void windowClosing( WindowEvent event ) {
       dispose();
    }
   
   
    public void windowClosed( WindowEvent event ) {
    }
   
    public void windowDeiconified( WindowEvent event ) {}
   
    public void windowIconified( WindowEvent event ) {}
   
   
public void windowDeactivated( WindowEvent event ) {}
   
    public void windowActivated( WindowEvent event ) {}
   
    public void windowOpened( WindowEvent event ) {}
}