// All the textes written in five languages are taken from this class
// Just use the static function:
// Text.at(<number>), 
// where <number> is the position of the text in the String array textes[]

package  se.lth.cs.carsimgui;

public class Text {
	
	public static void setTextes(int language, MainWindow mw)
	{
		Messenger.properties.language = language;
		
		mw.menuProgram.setText(			at(1));
		mw.menuProgramLanguage.setText(		at(2));
		mw.menuProgramExit.setText(		at(3));
		mw.menuReport.setText(			at(4));
		mw.menuReportNew.setText(		at(5));
		mw.menuReportSave.setText(		at(6));
		mw.menuReportDelete.setText(		at(66));
		mw.menuReportGenerateXML.setText(	at(7));
		mw.menuXMLdoc.setText(			at(8));
		mw.menuXMLdocNew.setText(		at(9));
		mw.menuXMLdocSave.setText(		at(10));
		mw.menuXMLdocDelete.setText(		at(67));
		mw.menuXMLdocValidate.setText(		at(11));
		mw.menu3D.setText(			at(12));
		mw.menu3DStart.setText(			at(13));
		mw.menu3DPreferences.setText(		at(14));
		mw.menu3DDemoA.setText(			at(15));
		mw.menu3DDemoB.setText(			at(16));
		mw.menuHelp.setText(			at(17));
		mw.menuHelpHelp.setText(		at(18));
		mw.menuHelpAbout.setText(		at(19));
		
		
		mw.titledBorder1.setTitle(		at(4));
		mw.titledBorder2.setTitle(		at(8));
		mw.titledBorder3.setTitle(		at(12));
		mw.bgBorder.setTitle(			at(31));
		mw.bgTxBorder.setTitle(			at(32));
		
		
		mw.newReportButton.setToolTipText(	at(20));
		mw.saveReportButton.setToolTipText(	at(21));
		mw.generateXMLButton.setToolTipText(	at(22));
		mw.newXMLdocButton.setToolTipText(	at(23));
		mw.saveXMLdocButton.setToolTipText(	at(24));
		mw.parseXMLdocButton.setToolTipText(	at(25));
		mw.visualizeButton.setToolTipText(	at(26));
		mw.demoAButton.setToolTipText(		at(27));
		mw.demoBButton.setToolTipText(		at(28));
		
		mw.setVisible(false);
		mw.setVisible(true);
	}
	
	public static String at(int nr)
	{
		return textes[nr][Messenger.properties.language];
	}
	
	private static final String [][] textes = {
		
		// #0
		{
			"Loading CarSim...",
			"CarSim wird geladen...",
			"CarSim se est cargando...",
			"Chargement de CarSim...",
			"CarSim laddas..."
		},
		
		// #1
		{
			"Program",
			"Programm",
			"Programa",
			"Programme",
			"Program"
		},
		// #2
		{
			"Language",
			"Sprache",
			"Idioma",
			"Langue",
			"Sprk",
		},
		// #3
		{
			"Exit",
			"Beenden",
			"Cerrar",
			"Quitter",
			"Avsluta",
		},
		// #4
		{
			"Report",
			"Unfallbericht",
			"Informe",
			"Rapport",
			"Rapport"
		},
		// #5
		{
			"New",
			"Neu",
			"Nuevo",
			"Nouveau",
			"Ny"
		},
		// #6
		{
			"Save",
			"Speichern",
			"Guardar",
			"Enregistrer",
			"Spara"
		},
		// #7
		{
			"Generate XML",
			"XML generieren",
			"Generar XML",
			"Gnrer XML",
			"Generera XML"
		},
		// #8
		{
			"XML Document",
			"XML Dokument",
			"Documento XML",
			"Document XML",
			"XML Dokument"
		},
		// #9
		{
			"New",
			"Neu",
			"Nuevo",
			"Nouveau",
			"Ny"
		},
		// #10
		{
			"Save",
			"Speichern",
			"Guardar",
			"Enregistrer",
			"Spara"
		},
		// #11
		{
			"Validate Selected Documents",
			"Prfe Syntax",
			"Validar Documentos Selccionados",
			"Valider les documents slectionns",
			"Prova giltigheten"
		},
		// #12
		{
			"3D Visualization",
			"3D Visualisierung",
			"Visualizacin 3D",
			"Visualisation 3D",
			"3D Visualisering"
		},
		// #13
		{
			"Start Visualization",
			"Start Visualisierung",
			"Inicio Visualizacin",
			"Dmarrer la Visualisation",
			"Starta Visualiseringen"
		},
		// #14
		{
			"Configuration",
			"Einstellungen",
			"Configuracin",
			"Configuration",
			"Instllningar",
		},
		// #15
		{
			"Demo A",
			"Demo A",
			"Demo A",
			"Dmo A",
			"Demo A"
		},
		// #16
		{
			"Demo B",
			"Demo B",
			"Demo B",
			"Dmo B",
			"Demo B"
		},
		// #17
		{
			"?",
			"?",
			"?",
			"?",
			"?"
		},
		// #18
		{
			"Help",
			"Hilfe",
			"Ayuda",
			"Aide",
			"Hjlp"
		},
		// #19
		{
			"About",
			"ber CarSim",
			"Sobre CarSim",
			" propos",
			"Om CarSim"
		},
		// #20
		{
			"New Report",
			"Neuer Unfallbericht",
			"Nuevo Informe",
			"Nouveau rapport",
			"Ny Rapport"
		},
		// #21
		{
			"Save Selected Reports",
			"Speicher ausgewhlte Unfallberichte",
			"Guardar Informes Seleccionados",
			"Enregister les rapports slectionns",
			"Spara de utvalda rapporterna"
		},
		// #22
		{
			"Generate XML docs from selected reports",
			"Generiere XML aus den ausgewhlten Berichten",
			"Genera Documentos XML de los informes seleccionados",
			"Gnrer les docs XML  partir des rapports slectionns",
			"Generera XML frn de utvalda rapporterna"
		},
		// #23
		{
			"New XML Document",
			"Neues XML Dokument",
			"Nuevo Documento XML",
			"Nouveau document XML",
			"Nytt XML dokument"
		},
		// #24
		{
			"Save Selected XML Documents",
			"Speicher ausgewhlte XML Dokumente",
			"Guardar Documentos XML Seleccionados",
			"Enregistrer les documents XML slectionns",
			"Spara de utvalda XML dokumenten"
		},
		// #25
		{
			"Validate Selected XML Documents",
			"Prfe Syntax der ausgewhlten XML Dokumente",
			"Valida Documentos XML Seleccionados",
			"Valider les documents XML slectionns",
			"Prova giltigheten av de utvalda XML dokumenten"
		},
		// #26
		{
			"Start the 3D Visualization",
			"Starte 3D Visualisierung",
			"Inicia Visualizacin 3D",
			"Dmarrer la visualisation 3D",
			"Starta 3D visualiseringen"
		},
		// #27
		{
			"Start Demo A",
			"Starte Demo A",
			"Inicia Demo A",
			"Dmarrer la dmo A",
			"Starta Demo A"
		},
		// #28
		{
			"Start Demo B",
			"Starte Demo B",
			"Inicia Demo B",
			"Dmarrer la dmo B",
			"Starta Demo B"
		},
		// #29
		{
			"About CarSim 1.1",
			"ber CarSim 1.1",
			"Sobre CarSim 1.1",
			" propos CarSim 1.1",
			"Om CarSim 1.1"
		},
		// #30
		{
			"Version 1.1 - developed 2002 at Lunds TH / Sweden",
			"Version 1.1 - entwickelt 2002 an der Lunds TH / Schweden",
			"Versin 1.1 - desarrollado 2002 in Lunds TH / Suecia",
			"Version 1.1 - dveloppe en 2002  Lunds TH / Sude",
			"Version 1.1 - utvecklad 2002 p Lunds TH / Sverige"
		},
		// #31
		{
			"Background",
			"Hintergrund",
			"Fondo",
			"Fond",
			"Bakgrund"
		},
		// #32
		{
			"Texture",
			"Textur",
			"Textura",
			"Texture",
			"Textur"
		},
		// #33
		{
			"Yes",
			"Ja",
			"S",
			"Oui",
			"Ja"
		},
		// #34
		{
			"No",
			"Nein",
			"No",
			"Non",
			"Nej"
		},
		// #35
		{
			"The report has been modified. Save changes?",
			"Der Unfallbericht wurde verndert. Wollen Sie die nderungen speichern?",
			"El infome se ha modificado. Desea guardar los cambios?",
			"Le rapport a t modifi. Enregistrer les modifications?",
			"Rapporten har uppdaterats. Spara ndringarna?"
		},
		// #36
		{
			"Save changes",
			"Speicher nderungen",
			"Guardar cambios",
			"Enregistrer les modifications",
			"Spara ndringarna"
		},
		// #37
		{
			"Please type in a file name for the report.",
			"Bitte geben Sie einen Dateinamen fr den Unfallbericht ein.",
			"Por favor, introduzca un nombre de dato.",
			"Donner un nom au fichier, SVP.",
			"Skriv in filnamnet fr rapporten."
		},
		// #38
		{
			"Save Report",
			"Speicher Unfallbericht",
			"Guardar Informe",
			"Enregistrer le rapport",
			"Spara Rapporten"
		},
		// #39
		{
			"Save",
			"Speichern",
			"Guardar",
			"Enregistrer",
			"Spara"
		},
		// #40
		{
			"Cancel",
			"Abbrechen",
			"Cerrar",
			"Annuler",
			"Avbryt"
		},
		// #41
		{
			"The XML document has been modified. Save changes?",
			"Das XML Dokument wurde verndert. Wollen Sie die nderungen speichern?",
			"El documeto XML se ha modificado. Desea guardar los cambios?",
			"Le document XML a t modifi. Enregistrer les modifications?",
			"XML dokumentet har uppdaterats. Spara ndringarna?"
		},
		// #42
		{
			"Please type in a file name for the XML document.",
			"Bitte geben Sie einen Dateinamen fr das XML Dokument ein.",
			"Por favor, introduzca un nombre para el documento XML.",
			"Donner un nom au document XML, SVP.",
			"Skriv in filnamnet fr XML dokumentet."
		},
		// #43
		{
			"Duration of the animation (sec)",
			"Dauer der Animation (sek)",
			"Duracin de la animacin (sec)",
			"Dure de l'animation (sec)",
			"Tid frlupen under Animation (sek)"
		},
		// #44
		{
			"Init Circle Radius",
			"Startgre Kreisradius",
			"Ciclo inicial del radio",
			"Rayon initial du cercle",
			"Initial Cirkel Radie"
		},
		// #45
		{
			"Trajectory precision",
			"Przision der Bewegungslinie",
			"Presicin del trayecto",
			"Prcision de la trajectoire",
			"Nogrannhet Fr Kurvans Upplsning"
		},
		// #46
		{
			"Percental time for STOP events",
			"Prozent. Dauer fr STOP Ereignisse",
			"Porcentaje del parada",
			"Pourcentage d'arrts",
			"Prosentsats av STOP tiden"
		},
		// #47
		{
			"Please select max. one XML document.",
			"Bitte whlen Sie maximal ein XML Dokument aus.",
			"Por favor, selecione max. un documento XML.",
			"SVP, ne slectionnez qun document au max.",
			"Vlj maximalt ett XML dokument."
		},
		// #48 (belongs to 49)
		{
			"A text with the identifiers",
			"Ein Text mit den Bezeichnern",
			"Un texto con los identificadores",
			"Un texte avec les identifieurs",
			"En text med beteckningarna"
		},
		// #49 (belongs to 48)
		{
			"could not found. The old version is kept.",
			"konnte nicht gefunden werden. Die alte Version wird beibehalten.",
			"no se ha encontrado. Versin antigua se mantiene.",
			"non trouv. L'ancienne version est conserve.",
			"kunde inte hittas. Den gamla versionen anvnds."
		},
		// #50
		{
			"The report was written to disk successfully.",
			"Der Unfallbericht wurde erfolgreich abgespeichert.",
			"El informe est guardado.",
			"Le rapport a t enregistr sur le disque.",
			"Rapporten sparades."
		},
		// #51
		{
			"The XML document was written to disk successfully.",
			"Das XML Dokument wurde erfolgreich abgespeichert.",
			"El documento XML est guardado.",
			"Le document XML a et enregistr sur le disque.",
			"XML dokumentet sparades."
		},
		// #52
		{
			"Error while writing file to disk.",
			"Beim Abspeichern ist ein Fehler aufgetreten.",
			"Durante la grabacion ha ocurrido un error",
			"Erreur lors de l'criture du fichier sur le disque.",
			"Ett fel uppstod nr en fil sparades."
		},
		// #53
		{
			"The XML document is valid.",
			"Das XML Dokument ist wohlgeformt.",
			"El documento XML est valido.",
			"Le document XML est valide.",
			"XML dokumentet r giltigt."
		},
		// #54
		{
			"The XML document is not valid.",
			"Das XML Dokument entspricht nicht der Syntax.",
			"El Documtento no est valido.",
			"Le document XML n'est pas valide.",
			"XML dokumentet innehller fel."
		},
		// #55
		{
			"Starting the 3D visualization...",
			"Die 3D Visualisierung wird gestartet...",
			"Inicio Visualizacin...",
			"Dmarrage de la visualisation 3D...",
			"3D visualiseringen laddas..."
		},
		// #56
		{
			"No report is selected.",
			"Es ist kein Unfallbericht ausgewhlt.",
			"No est seleccionado ningn informe.",
			"Aucun rapport n'est slectionn.",
			"Ingen rapport r vald."
		},
		// #57
		{
			"Delete all selected reports?",
			"Wollen Sie die ausgewhlten Unfallberichte wirklich lschen?",
			"Desea realmente eliminar el informe selccionado?",
			"Effacer tous les rapports slectionns?",
			"Vill du radera alla utvalda rapporter?"
		},
		// #58
		{
			"Delete Reports",
			"Lsche Unfallberichte",
			"Elimina Informe",
			"Effacer les rapports",
			"Radera Rapporter"
		},
		// #59
		{
			"Reports successfully deleted.",
			"Die Unfallberichte wurden erfolgreich gelscht.",
			"El informe est eliminado.",
			"Rapports effacs.",
			"Rapporterna raderades."
		},
		// #60
		{
			"Error while deleting reports.",
			"Fehler beim Lschen der Unfallberichte.",
			"Error while deleting reports.",
			"Erreur lors de l'effacement des rapports.",
			"Ett fel uppstod nr rapporterna skulle raderas."
		},
		// #61
		{
			"No XML document is selected.",
			"Es ist kein XML Dokument ausgewhlt.",
			"No est seleccionado ningn documento XML.",
			"Aucun document XML slectionn.",
			"Inget XML dokument r valt."
		},
		// #62
		{
			"Delete all selected XML documents?",
			"Wollen Sie die ausgewhlten XML Dokumente wirklich lschen?",
			"Desea realmente eliminar los documentos XML seleccionados?",
			"Effacer tous les documents slectionns?",
			"Vill du radera de utvalda XML dokumenten?"
		},
		// #63
		{
			"Delete XML Documents",
			"Lsche XML Dokumente",
			"Elimina Documentos XML",
			"Effacer les documents XML",
			"Radera XML Dokument"
		},
		// #64
		{
			"XML documents successfully deleted.",
			"Die XML Dokumente wurden erfolgreich gelscht.",
			"Los documentos XML estn eliminados",
			"Les documents XML ont t effacs.",
			"XML dokumenten raderades."
		},
		// #65
		{
			"Error while deleting XML documents.",
			"Fehler beim Lschen der XML Dokumente.",
			"Ha ocurrido un error al eliminar los documentos XML.",
			"Une erreur est survenue lors de l'effacement des documents XML.",
			"Ett fel uppstod nr XML dokumenten skulle raderas."
		},
		// #66
		{
			"Delete",
			"Lschen",
			"Eliminar",
			"Effacer",
			"Radera"
		},
		// #67
		{
			"Delete",
			"Lschen",
			"Eliminar",
			"Effacer",
			"Radera"
		},
		// #68
		{
			"Constructing XML Document...",
			"Konstruiere XML Dokument...",
			"Construir documento XML...",
			"Construire document XML...",
			"Konstruerar XML document..."
		},
		// #69
		{
			"Done Constructing XML Document!",
			"Das XML Dokument wurde fertiggestellt!",
			"Documento XML es listo!",
			"Le document XML est prt!",
			"XML Dokument Klar!"
		},
		// #70
		{
			"Looking up words in WordNet...",
			"Suche Wrter in WordNet...",
			"Ocuparse de palabras en WordNet...",
			"S'occuper des mots dans le WordNet...",
			"Sker efter ord i WordNet..."
		},
		// #
		{
			"",
			"",
			"",
			"",
			""
		},
		// #
		{
			"",
			"",
			"",
			"",
			""
		},
		// #
		{
			"",
			"",
			"",
			"",
			""
		},
		// #
		{
			"",
			"",
			"",
			"",
			""
		},
		// #
		{
			"",
			"",
			"",
			"",
			""
		} // Important: There is no "," after the last array entry.
	};
	
	public Text(){}
}
